/*
 * Copyright (c) 2018 Samsung Electronics Co., Ltd All Rights Reserved
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
*/
#include "groups_proxy.hpp"
#include <map>

std::map<uid_t, std::vector<gid_t>> user2groups{
	{0, {0}},
	{2, {2, 20}},
	{3, {3, 30}},
	{4, {4, 30, 40}},
	{5, {5}},
	{6, {6}},
	{7, {7}},
	{8, {8}}
};

std::vector<gid_t> get_groups(const uid_t uid, const gid_t gid) {
	(void)gid;
	// will return empty vector if no uid key in map
	return user2groups[uid];
}
